Index: /greenstone3/trunk/web/interfaces/oran/style/berry.css
===================================================================
--- /greenstone3/trunk/web/interfaces/oran/style/berry.css	(revision 19854)
+++ /greenstone3/trunk/web/interfaces/oran/style/berry.css	(revision 19855)
@@ -1,103 +1,63 @@
-
-
-div.globalwrapper{
-  font-family: sans-serif, arial, helvetica;
-  margin: 0 2em 0 4em; 
-  padding:0;
- 
-}
-
-div#content{
-  font-family: sans-serif, arial, helvetica;
-  margin: 0.5em 0 0.5em 0;
-  padding: 0; 
-
-}
-
-div.banner{
- margin:0;
- padding:0;
-
-}
-
-div.pageinfo{
-  float:right;
-  text-align: right;
-  padding: 0;
-  margin:0 0 3px 0;	
-  width: 50%;
-}
-
-div.basketimage{
-  float:left;
-  width: 45%;
-  padding:0;
-  margin:0;
-
-}
-
-
-div.bannerextra {
-   clear: both;
-   padding: 0.2em 0 0 0;
-}
-
-/* home, help, preferences links */
-p.bannerlinks {
-  font-weight: bold;
-  margin:0;
-  padding:0;
-}
-
-
-p.bannertitle {
-  font-family: sans-serif, arial, helvetica;
-  font-size: 24px;
-  font-weight: bold;
-  white-space: nowrap;
-  margin: 0;
-  padding: 0.5em 0 0.5em 0em;
-  background: url("../images/tile13.jpeg") 0 0 repeat-y;
- 
-}
-
-
-a.navlink{
-  vertical-align: top;
-  padding: 0.2em 0.5em 0 0;
-  color: black;
-  text-decoration: none; 
-  background-image: url("../images/bg_off.png");
- }
-
-a.navlink:hover {
-   background-image: url("../images/bg_on.png");
- }
-
-p.navbar{
-  text-align: center;
-   background: url("../images/bg_green.png") 0 0 repeat-x;
-   font-weight: bold;
-}
-
-span.navlink{
-   margin:0 3em  0 3em;
-   padding:0 0.5em 0 0.5em;
-   background-image: url("../images/bg_off.png");
-   cursor: pointer;
-}
-
-span.navlink:hover {
-   background-image: url("../images/bg_on.png");
- }
-
-img#trashbin{
- float:right;
-}
-
+#berrybasket {
+	min-height: 22px;
+	padding: 5px;
+	margin: 0 0 1em 0;
+	/* background: #E0F0E0 url("../images/berrybasket.png") scroll no-repeat 0 0; */
+	background: transparent url("../images/kete2.png") scroll repeat 0 0;
+	z-index:10;
+	/*cursor: pointer;*/
+	font-size: 80%;
+	min-height: 2em;
+}
+
+#baskethandle {
+	cursor: move;
+	padding: 0;
+	margin: 0;
+	height: 30px;
+	width: auto;
+	background-color: #7f7;
+	display: none;
+}
+
+#berries {
+	text-align: left;
+	height: auto;
+	margin: 0;
+	padding: 0;
+	overflow: hidden;   
+}
+#berries img {
+	margin: 3px 2px;
+}
+
+#trashbin {
+	float:right;
+}
+
+#berryFullViewLink {
+	display:block;
+	cursor: pointer;
+	text-align: right;
+	padding: .5em;
+}
+
+#berryHelpMsg {
+	font-size: 90%;
+	color: #888;
+}
+
+#doclist {
+	margin-bottom:0;
+}
 span.berryradio{
  cursor: pointer;
  margin:0 3em  0 3em;
  font-weight: bold;
+}
+
+.berryOption {
+	text-decoration: underline;
+	cursor: pointer;
 }
 
@@ -120,38 +80,4 @@
 }
 
-div#berrybasket {
-   float:right;
-   font-family:sans-serif;
-   height:120px;
-   width: 100px;
-   padding: 4px 5px 4px 4px;
-   background-color:#E0F0E0;
-   background: url("../images/berrybasket.png") 0 0 no-repeat;
-   margin:0;
-   font-size:100%;
-   text-align:center;
-   #border:1px solid #2E8B57;	
-   z-index:10;
-   cursor: pointer;
- }
-
-div#baskethandle {
-  padding: 0;
-  cursor:move;
-  height: 30px;
-  width:auto;
-  #background-color:#eeeeee;
-   background:transparent;
-   margin:0 ;
-  }
-
-div#berries {
-  text-align:left;
-  height: auto;
-  margin: 0;
-  padding:0;
-  overflow: hidden;   
-}
-
 
 p#documentberries {
@@ -167,9 +93,4 @@
 
 
-#doclist{
-  margin: 0;
- 
-}
-
 .content{
  font-family:sans-serif;
@@ -201,33 +122,4 @@
  
 }
-
-a.fullview:visited{
- color:red;
-}
-
-a#hideview:visited{
- color:red;
-}
-
-a.fullview{
-  float:left;
-  font-size: 90%;
-  margin: 0 0 0 20px;
-  padding:0;
-  cursor: pointer;
-  color:red;  
-  text-decoration:none;
- }
-
-a#hideView{
-  float:right;
-  font-size: 90%;
-  margin:0 20px 0 0;
-  padding:0;
-  color: red;
-  cursor: pointer;
-  text-decoration:none;
-}
-
 
 .berrydelete{
Index: /greenstone3/trunk/web/interfaces/oran/style/core.css
===================================================================
--- /greenstone3/trunk/web/interfaces/oran/style/core.css	(revision 19854)
+++ /greenstone3/trunk/web/interfaces/oran/style/core.css	(revision 19855)
@@ -3,11 +3,24 @@
 	padding: 20px;
 	margin: 0;
+	color: #444;
 }
 
 #container {
+	position: relative;
 	margin: 0 auto 20px auto;
-	max-width: 1000px;
+	max-width: 1200px;
 	padding: 0;
 	line-height: 160%;
+	background: url('../images/layout/containerLeft.png') scroll repeat-y left top;
+}
+#container2 {
+	background: url('../images/layout/containerRight.png') scroll repeat-y right top;
+}
+#container3 {
+	background: url('../images/layout/containerTop.png') scroll repeat-x left top;
+}
+#container4 {
+	background: url('../images/layout/containerBottom.png') scroll repeat-x left bottom;
+	padding: 10px;
 }
 
@@ -20,9 +33,20 @@
 
 #content {
-	border-left: 1px solid #ccc;
-	border-right: 1px solid #ccc;
+	border-left: 1px solid #cdc;
+	border-right: 1px solid #cdc;
 	padding: 1em;
-}
-
+	min-height: 300px;
+	/* background-color: #ff0; */
+}
+
+#rightSidebar {
+	border: 1px solid #cdc;
+	padding: 10px;
+	width: 25%;
+	min-width: 180px;
+	float: right;
+	margin: 0 0 10px 20px;
+	/* background-color: #f0f; */
+}
 
 #quickSearch {
@@ -51,5 +75,4 @@
 	background: transparent url('../images/gsdlhead.gif') scroll no-repeat left top;
 	margin: 0 auto;
-	max-width: 1000px;
 	text-align: center;
 	vertical-align: middle;
@@ -85,10 +108,7 @@
 	bottom: 0;
 	right: 0;
-
 	list-style: none;
-
 	margin:0;
 	padding: 0 15px 0 0;
-
 	font-size: 14px;
 }
@@ -100,5 +120,4 @@
 	margin: 0 5px 0 0;
 	padding: 0 8px 0 0;
-
 }
 
@@ -119,6 +138,49 @@
 #nav li:hover a, #nav li.current a { background-position: 0 0; cursor:default; }
 
+
+/* css to make the page links work (home, help, preference) */
+#bannerLinks {
+	width: auto;
+	position: absolute;
+	list-style: none;
+	margin:0;
+	top: 15px;
+	right: 0;
+	padding: 0 15px 0 0;
+}
+
+#bannerLinks li {
+	float: right;
+	margin: 0;
+	background: transparent url('../images/tab-right.gif') no-repeat scroll 100% -50px;
+	padding: 0 2px 0 0;
+}
+
+#bannerLinks a {
+	display: block;
+	float: left;
+	display: table-cell;
+	min-width: 1em;
+	margin:0;
+	padding: 5px 5px 3px 10px;
+	font-weight: normal;
+	text-align: center;
+	color: #fff;
+	text-decoration: none;
+	line-height: 1;
+}
+
+#bannerLinks li.current a {
+	cursor: default;
+}
+
+#bannerLinks li:hover, #bannerLinks li.current { background-position: 100% 0; }
+
+#bannerLinks li.current a { text-decoration: underline; background-position: 0 0;}
+#bannerLinks img.spacer { display: table-cell; }
+
+
 /* css to make the classifier list pretty */
-#classifierList {
+.navList {
 	margin: 0 0 10px 0;
 	padding: 0;
@@ -126,5 +188,5 @@
 }
 
-#classifierList ul {
+.navList ul {
 	margin: 0;
 	padding: 0;
@@ -132,9 +194,11 @@
 }
 
-#classifierList li {
+.navList li {
 	float: left;
 	margin: 0 0 0 20px;
-}
-#classifierList li a {
+	cursor: pointer;
+	color: #fff;
+}
+.navList li a, .navList li span {
 	padding: 0 1em;
 	display: block;
@@ -143,6 +207,11 @@
 }
 
-#classifierList li.current a {
+.navList li.current {
 	background-color: #efea6e;
+	color: #444;
+	cursor: default;
+}
+
+.navList li.current a, .navList li.current span {
 	color: #444;
 	cursor: default;
@@ -182,12 +251,26 @@
 .corner {
 	position: absolute;
-	background: transparent url('../images/whatever.png') scroll no-repeat left top;
-	width: 20px; height: 20px;
-}
-
-#cornerTopLeft { left: 0; top: 0; background-image: url('../images/corner-top-left.png'); }
-#cornerTopRight { right: 0; top: 0; background-image: url('../images/corner-top-right.png'); }
-#cornerBottomLeft { left: 0; bottom: 0; background-image: url('../images/corner-bottom-left.png'); }
-#cornerBottomRight { right: 0; bottom: 0; background-image: url('../images/corner-bottom-right.png'); }
+	background-image: url('../images/layout/corners.png');
+	background-repeat: no-repeat;
+	width: 20px;
+	height: 20px;
+}
+
+#cornerTopLeft {
+	left: 0; top: 0;
+	background-position: 0 0;
+}
+#cornerTopRight {
+	right: 0; top: 0;
+	background-position: -20px 0;
+}
+#cornerBottomLeft {
+	left: 0; bottom: 0;
+	background-position: 0 -20px;
+}
+#cornerBottomRight {
+	right: 0; bottom: 0;
+	background-position: -20px -20px;
+}
 
 .clear {
@@ -450,5 +533,4 @@
 
 
-div.documenttext { clear: both; } /* come after any floating divs */
 
 div#documentheading{
@@ -507,5 +589,4 @@
 
 div.documentarrows{
-  clear: both; 
   margin: 0 0 0 0;
   padding: 1em 0 0 0;   
@@ -544,2 +625,43 @@
 }
 
+#coverImage {
+	text-align: center;
+}
+
+/* ----- TABLE OF CONTENTS ------ */
+#tableOfContents {
+	margin: 0;
+	padding: 0;
+	font-size: 80%;
+}
+
+#tableOfContents li {
+	list-style: none;
+	margin: 0;
+	padding: 2px;
+	background-color: #fff;
+}
+
+#tableOfContents li a {
+	color: #444;
+}
+
+#tableOfContents li.current {
+	background-color: #090;
+}
+#tableOfContents li.current a {
+	color: #fff;
+}
+
+#tableOfContents li.current li {
+	background-color: #fff;
+}
+
+#tableOfContents li.current li a {
+	color: #444;
+}
+
+#tableOfContents ul {
+	padding: 0 0 0 20px;
+}
+