Index: release-kits/sork3/ant-scripts/build.xml
===================================================================
--- release-kits/sork3/ant-scripts/build.xml	(revision 19954)
+++ release-kits/sork3/ant-scripts/build.xml	(revision 19954)
@@ -0,0 +1,139 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<!--
+		.......................................................... 
+		July 2009
+		Source Release Kit for Greenstone3 (sork3)
+		Oran Fry
+		..........................................................
+-->
+
+<project name="sork3-build" default="sork3">
+
+	<!-- CONSTANTS -->
+
+	<!-- for the benefit of the shared scripts, set release-kit home -->
+	<property name="rk.name" value="sork3"/>
+	<property name="rk.home" value="${sork3.home}" />
+	<property name="rk.os" value="multi" />
+	<property name="os.suffix" value="AnyPlatform"/>
+	
+	<!-- IMPORT OTHER ANT SCRIPTS -->
+	<import file="../core/ant-scripts/init.xml"/>
+	<import file="../core/ant-scripts/operations-on-gli.xml"/>
+	<import file="../greenstone3/ant-scripts/rk3-targets.xml"/>
+
+	<!-- THE MAIN TARGET -->
+	<target name="sork2" depends="init">
+		<antcall target="export-greenstone3"><param name="dest" value="distributions/Greenstone-${version}-source-distribution"/></antcall>
+		<antcall target="gsdl-set-version-numbers"><param name="gsdl.basedir" value="${basedir}/distributions/Greenstone-${version}-source-distribution"/></antcall>
+		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distributions/Greenstone-${version}-source-distribution/gli"/></antcall>
+		<antcall target="insert-winbin"/>
+		<antcall target="insert-windows-perl"><param name="todir" value="${basedir}/distributions/Greenstone-${version}-source-distribution/bin/windows"/></antcall>
+		<antcall target="tweak-files"/>
+		<antcall target="create-archives"/>
+		<antcall target="create-sourcecode"/>
+	</target>
+
+	<target name="properties">
+		<echo>Required Properties:</echo>
+		<echo>version             the version string for the release</echo>
+		<echo/>
+
+		<echo>Optional Properties:</echo>
+		<echo>branch.path         the branch of gsdl to make a release of. Eg: tags/2.81. Default: trunk.</echo>
+		<echo>branch.revision     the revision of gsdl to make a release of. Eg: 18273. Default: HEAD.</echo>
+		<echo/>
+	</target>
+
+
+	<target name="tweak-files">
+		<delete file="distributions/Greenstone-${version}-source-distribution/bin/linux/mgquery_old" />
+	</target>
+
+	<target name="insert-winbin">
+		<delete dir="distributions/Greenstone-${version}-source-distribution/bin/windows"/>
+		<svn>
+			<export srcurl="${svn.root}/other-projects/trunk/winbin/bin" destPath="distributions/Greenstone-${version}-source-distribution/bin/windows"/>
+		</svn>
+		<get src="http://greenstone.org/release-snapshots/server.exe" dest="distributions/Greenstone-${version}-source-distribution/bin/windows/server.exe"/>
+		
+		<delete dir="distributions/Greenstone-${version}-source-distribution/bin/windows/imagemagick"/>
+		<delete dir="distributions/Greenstone-${version}-source-distribution/bin/windows/ghostscript"/>
+	</target>
+
+	<target name="create-archives">
+		<mkdir dir="products"/>
+		<delete file="products/Greenstone-${version}-source-distribution.zip"/>
+		<zip destfile="products/Greenstone-${version}-source-distribution.zip"  basedir="distributions" includes="Greenstone-${version}-source-distribution/**/*"/>
+		<exec dir="distributions" executable="tar">
+			<arg line="-czf ../products/Greenstone-${version}-source-distribution.tar.gz Greenstone-${version}-source-distribution"/>
+		</exec>
+	</target>
+
+	<target name="create-sourcecode">
+		<!-- create a directory for the sourcecode -->
+		<mkdir dir="distributions/source-component"/>
+
+		<!-- copy the files in -->
+		<exec dir="distributions/Greenstone-${version}-source-distribution" executable="cp">
+			<arg value="-r"/>
+
+			<!-- the bulk sourcecode -->
+			<arg value="build-src"/>
+			<arg value="common-src"/>
+			<arg value="runtime-src"/>
+
+			<!-- unix build files -->
+			<arg value="acconfig.h"/>
+			<arg value="aclocal.m4"/>
+			<arg value="config.sub"/>
+			<arg value="config.guess"/>
+			<arg value="configtest.pl"/>
+			<arg value="configure"/>
+			<arg value="configure.in"/>
+			<arg value="install-sh"/>
+			<arg value="Makefile.in"/>
+			<arg value="micotest.cpp"/>
+			<arg value="config.h.in"/>
+			<arg value="Install.txt"/>
+
+			<!-- windows build files -->
+			<arg value="win32.mak"/>
+			<arg value="win32cfg.h"/>
+			<arg value="makegs2.bat"/>
+
+			<!-- destination -->
+			<arg value="../source-component"/>
+
+		</exec>
+
+		<!-- unzip some windows packages -->
+		<unzip src="distributions/source-component/common-src/indexers/packages/windows/iconv/iconv.zip" dest="distributions/source-component/common-src/indexers/packages/windows/iconv"/>
+		<delete file="distributions/source-component/common-src/indexers/packages/windows/iconv/iconv.zip"/>
+		
+		<unzip src="distributions/source-component/common-src/packages/windows/crypt/crypt.zip" dest="distributions/source-component/common-src/packages/windows/crypt"/>
+		<delete file="distributions/source-component/common-src/packages/windows/crypt/crypt.zip"/>
+		
+		<unzip src="distributions/source-component/common-src/packages/windows/expat/expat.zip" dest="distributions/source-component/common-src/packages/windows/expat"/>
+		<delete file="distributions/source-component/common-src/packages/windows/expat/expat.zip"/>
+		
+		<unzip src="distributions/source-component/common-src/packages/windows/stlport/stlport.zip" dest="distributions/source-component/common-src/packages/windows/stlport"/>
+		<delete file="distributions/source-component/common-src/packages/windows/stlport/stlport.zip"/>
+
+		<exec executable="tar" dir="distributions/source-component/common-src/packages/sqlite"><arg value="-xzf"/><arg value="sqlite-amalgamation-3.5.9.tar.gz"/></exec>
+		<delete file="distributions/source-component/common-src/packages/sqlite/sqlite-amalgamation-3.5.9.tar.gz"/>
+
+		<exec executable="tar" dir="distributions/source-component/common-src/packages/expat"><arg value="-xzf"/><arg value="expat-1.95.8.tar.gz"/></exec>
+		<delete file="distributions/source-component/common-src/packages/sqlite/sqlite-amalgamation-3.5.9.tar.gz"/>
+
+		<!-- archive it -->
+		<delete file="products/Greenstone-${version}-source-component.zip"/>
+		<zip destfile="products/Greenstone-${version}-source-component.zip" basedir="distributions/source-component" includes="**/*"/>
+		<exec dir="distributions/source-component" executable="bash">
+			<arg value="-c"/>
+			<arg value="tar -czf ../../products/Greenstone-${version}-source-component.tar.gz *"/>
+		</exec>
+	</target>
+
+
+</project>
Index: release-kits/sork3/bin/sork2
===================================================================
--- release-kits/sork3/bin/sork2	(revision 19954)
+++ release-kits/sork3/bin/sork2	(revision 19954)
@@ -0,0 +1,6 @@
+#!/bin/bash
+export rk_name="sork2"
+export rk_fullname="Source Release Kit for Greenstone2"
+export RK_HOME=$SORK2_HOME
+$SORK2_HOME/linux/rk $*
+