Index: /release-kits/sork3/ant-scripts/build.xml
===================================================================
--- /release-kits/sork3/ant-scripts/build.xml	(revision 19956)
+++ /release-kits/sork3/ant-scripts/build.xml	(revision 19957)
@@ -23,11 +23,18 @@
 	<import file="../greenstone3/ant-scripts/rk3-targets.xml"/>
 
+	<!-- helper constant -->
+	<property name="dist.dirname" value="Greenstone-${version}-source-distribution"/>
+
 	<!-- THE MAIN TARGET -->
-	<target name="sork2" depends="init">
-		<antcall target="export-greenstone3"><param name="dest" value="distributions/Greenstone-${version}-source-distribution"/></antcall>
-		<antcall target="gsdl-set-version-numbers"><param name="gsdl.basedir" value="${basedir}/distributions/Greenstone-${version}-source-distribution"/></antcall>
-		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distributions/Greenstone-${version}-source-distribution/gli"/></antcall>
+	<target name="sork3" depends="init">
+		<antcall target="export-greenstone3"><param name="dest" value="distributions/${dist.dirname}"/></antcall>
+		<antcall target="greenstone3-set-version-numbers"><param name="greenstone3basedir" value="${basedir}/distributions/${dist.dirname}"/></antcall>
+		<ant dir="distributions/${dist.dirname}" target="prepare">
+			<property name="properties.accepted" value="true"/>
+			<property name="app.version" value="${version}"/>
+		</ant>
+		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distributions/${dist.dirname}/gli"/></antcall>
 		<antcall target="insert-winbin"/>
-		<antcall target="insert-windows-perl"><param name="todir" value="${basedir}/distributions/Greenstone-${version}-source-distribution/bin/windows"/></antcall>
+		<antcall target="insert-windows-perl"><param name="todir" value="${basedir}/distributions/${dist.dirname}/gs2build/bin/windows"/></antcall>
 		<antcall target="tweak-files"/>
 		<antcall target="create-archives"/>
@@ -48,24 +55,22 @@
 
 	<target name="tweak-files">
-		<delete file="distributions/Greenstone-${version}-source-distribution/bin/linux/mgquery_old" />
+		<delete file="distributions/${dist.dirname}/gs2build/bin/linux/mgquery_old" />
 	</target>
 
 	<target name="insert-winbin">
-		<delete dir="distributions/Greenstone-${version}-source-distribution/bin/windows"/>
+		<delete dir="distributions/${dist.dirname}/gs2build/bin/windows"/>
 		<svn>
-			<export srcurl="${svn.root}/other-projects/trunk/winbin/bin" destPath="distributions/Greenstone-${version}-source-distribution/bin/windows"/>
+			<export srcurl="${svn.root}/other-projects/trunk/winbin/bin" destPath="distributions/${dist.dirname}/gs2build/bin/windows"/>
 		</svn>
-		<get src="http://greenstone.org/release-snapshots/server.exe" dest="distributions/Greenstone-${version}-source-distribution/bin/windows/server.exe"/>
-		
-		<delete dir="distributions/Greenstone-${version}-source-distribution/bin/windows/imagemagick"/>
-		<delete dir="distributions/Greenstone-${version}-source-distribution/bin/windows/ghostscript"/>
+		<delete dir="distributions/${dist.dirname}/gs2build/bin/windows/imagemagick"/>
+		<delete dir="distributions/${dist.dirname}/gs2build/bin/windows/ghostscript"/>
 	</target>
 
 	<target name="create-archives">
 		<mkdir dir="products"/>
-		<delete file="products/Greenstone-${version}-source-distribution.zip"/>
-		<zip destfile="products/Greenstone-${version}-source-distribution.zip"  basedir="distributions" includes="Greenstone-${version}-source-distribution/**/*"/>
+		<delete file="products/${dist.dirname}.zip"/>
+		<zip destfile="products/${dist.dirname}.zip"  basedir="distributions" includes="${dist.dirname}/**/*"/>
 		<exec dir="distributions" executable="tar">
-			<arg line="-czf ../products/Greenstone-${version}-source-distribution.tar.gz Greenstone-${version}-source-distribution"/>
+			<arg line="-czf ../products/${dist.dirname}.tar.gz ${dist.dirname}"/>
 		</exec>
 	</target>
@@ -73,33 +78,25 @@
 	<target name="create-sourcecode">
 		<!-- create a directory for the sourcecode -->
-		<mkdir dir="distributions/source-component"/>
+		<mkdir dir="distributions/source-component/gs2build"/>
 
 		<!-- copy the files in -->
-		<exec dir="distributions/Greenstone-${version}-source-distribution" executable="cp">
+		<exec dir="distributions/${dist.dirname}" executable="cp">
 			<arg value="-r"/>
 
 			<!-- the bulk sourcecode -->
-			<arg value="build-src"/>
-			<arg value="common-src"/>
-			<arg value="runtime-src"/>
+			<arg value="gs2build/build-src"/>
+			<arg value="gs2build/common-src"/>
 
-			<!-- unix build files -->
-			<arg value="acconfig.h"/>
-			<arg value="aclocal.m4"/>
-			<arg value="config.sub"/>
-			<arg value="config.guess"/>
-			<arg value="configtest.pl"/>
-			<arg value="configure"/>
-			<arg value="configure.in"/>
-			<arg value="install-sh"/>
-			<arg value="Makefile.in"/>
-			<arg value="micotest.cpp"/>
-			<arg value="config.h.in"/>
-			<arg value="Install.txt"/>
+			<!-- destination -->
+			<arg value="../source-component/gs2build"/>
 
-			<!-- windows build files -->
-			<arg value="win32.mak"/>
-			<arg value="win32cfg.h"/>
-			<arg value="makegs2.bat"/>
+		</exec>
+		
+		<!-- copy the files in -->
+		<exec dir="distributions/${dist.dirname}" executable="cp">
+			<arg value="-r"/>
+
+			<!-- the bulk sourcecode -->
+			<arg value="src"/>
 
 			<!-- destination -->
@@ -109,21 +106,21 @@
 
 		<!-- unzip some windows packages -->
-		<unzip src="distributions/source-component/common-src/indexers/packages/windows/iconv/iconv.zip" dest="distributions/source-component/common-src/indexers/packages/windows/iconv"/>
-		<delete file="distributions/source-component/common-src/indexers/packages/windows/iconv/iconv.zip"/>
+		<unzip src="distributions/source-component/gs2build/common-src/indexers/packages/windows/iconv/iconv.zip" dest="distributions/source-component/gs2build/common-src/indexers/packages/windows/iconv"/>
+		<delete file="distributions/source-component/gs2build/common-src/indexers/packages/windows/iconv/iconv.zip"/>
 		
-		<unzip src="distributions/source-component/common-src/packages/windows/crypt/crypt.zip" dest="distributions/source-component/common-src/packages/windows/crypt"/>
-		<delete file="distributions/source-component/common-src/packages/windows/crypt/crypt.zip"/>
+		<unzip src="distributions/source-component/gs2build/common-src/packages/windows/crypt/crypt.zip" dest="distributions/source-component/gs2build/common-src/packages/windows/crypt"/>
+		<delete file="distributions/source-component/gs2build/common-src/packages/windows/crypt/crypt.zip"/>
 		
-		<unzip src="distributions/source-component/common-src/packages/windows/expat/expat.zip" dest="distributions/source-component/common-src/packages/windows/expat"/>
-		<delete file="distributions/source-component/common-src/packages/windows/expat/expat.zip"/>
+		<unzip src="distributions/source-component/gs2build/common-src/packages/windows/expat/expat.zip" dest="distributions/source-component/gs2build/common-src/packages/windows/expat"/>
+		<delete file="distributions/source-component/gs2build/common-src/packages/windows/expat/expat.zip"/>
 		
-		<unzip src="distributions/source-component/common-src/packages/windows/stlport/stlport.zip" dest="distributions/source-component/common-src/packages/windows/stlport"/>
-		<delete file="distributions/source-component/common-src/packages/windows/stlport/stlport.zip"/>
+		<unzip src="distributions/source-component/gs2build/common-src/packages/windows/stlport/stlport.zip" dest="distributions/source-component/gs2build/common-src/packages/windows/stlport"/>
+		<delete file="distributions/source-component/gs2build/common-src/packages/windows/stlport/stlport.zip"/>
 
-		<exec executable="tar" dir="distributions/source-component/common-src/packages/sqlite"><arg value="-xzf"/><arg value="sqlite-amalgamation-3.5.9.tar.gz"/></exec>
-		<delete file="distributions/source-component/common-src/packages/sqlite/sqlite-amalgamation-3.5.9.tar.gz"/>
+		<exec executable="tar" dir="distributions/source-component/gs2build/common-src/packages/sqlite"><arg value="-xzf"/><arg value="sqlite-amalgamation-3.5.9.tar.gz"/></exec>
+		<delete file="distributions/source-component/gs2build/common-src/packages/sqlite/sqlite-amalgamation-3.5.9.tar.gz"/>
 
-		<exec executable="tar" dir="distributions/source-component/common-src/packages/expat"><arg value="-xzf"/><arg value="expat-1.95.8.tar.gz"/></exec>
-		<delete file="distributions/source-component/common-src/packages/sqlite/sqlite-amalgamation-3.5.9.tar.gz"/>
+		<exec executable="tar" dir="distributions/source-component/gs2build/common-src/packages/expat"><arg value="-xzf"/><arg value="expat-1.95.8.tar.gz"/></exec>
+		<delete file="distributions/source-component/gs2build/common-src/packages/sqlite/sqlite-amalgamation-3.5.9.tar.gz"/>
 
 		<!-- archive it -->
Index: lease-kits/sork3/bin/sork2
===================================================================
--- /release-kits/sork3/bin/sork2	(revision 19956)
+++ 	(revision )
@@ -1,6 +1,0 @@
-#!/bin/bash
-export rk_name="sork2"
-export rk_fullname="Source Release Kit for Greenstone2"
-export RK_HOME=$SORK2_HOME
-$SORK2_HOME/linux/rk $*
-
Index: /release-kits/sork3/bin/sork3
===================================================================
--- /release-kits/sork3/bin/sork3	(revision 19957)
+++ /release-kits/sork3/bin/sork3	(revision 19957)
@@ -0,0 +1,6 @@
+#!/bin/bash
+export rk_name="sork3"
+export rk_fullname="Source Release Kit for Greenstone3"
+export RK_HOME=$SORK3_HOME
+$SORK3_HOME/linux/rk $*
+