Index: /release-kits/wirk3/ant-scripts/compile.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/compile.xml	(revision 19957)
+++ /release-kits/wirk3/ant-scripts/compile.xml	(revision 19958)
@@ -9,4 +9,5 @@
 			<target name="prepare"/>
 			<target name="install"/>
+			<target name="distclean"/>
 			<target name="dist-tidy"/>
 			<propertyset refid="forward.properties"/>
Index: /release-kits/wirk3/ant-scripts/create-components.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/create-components.xml	(revision 19957)
+++ /release-kits/wirk3/ant-scripts/create-components.xml	(revision 19958)
@@ -82,6 +82,6 @@
 		<mkdir dir="components/tmp/imagemagick"/>
 		<copy todir="components/tmp/imagemagick" overwrite="true">
-			<fileset dir="distributions/web/gs2build/bin/windows/">
-				<include name="imagemagick/**/*"/>
+			<fileset dir="distributions/web">
+				<include name="gs2build/bin/windows/imagemagick/**/*"/>
 			</fileset>
 		</copy>
@@ -100,6 +100,6 @@
 		<mkdir dir="components/tmp/ghostscript"/>
 		<copy todir="components/tmp/ghostscript" overwrite="true">
-			<fileset dir="distributions/web/gs2build/bin/windows/">
-				<include name="ghostscript/**/*"/>
+			<fileset dir="distributions/web">
+				<include name="gs2build/bin/windows/ghostscript/**/*"/>
 			</fileset>
 		</copy>
@@ -116,10 +116,10 @@
 		<mkdir dir="components/tmp/sourcecode"/>
 		<copy todir="components/tmp/sourcecode" overwrite="true">
-				<fileset dir="distributions/web">
-					<include name="src/**/*"/>
-					<include name="gs2build/common-src/**/*"/>
-					<include name="gs2build/build-src/**/*"/>
-					<include name="gs2build/runtime-src/**/*"/>
-				</fileset>
+			<fileset dir="distributions/web">
+				<include name="src/**/*"/>
+				<include name="gs2build/common-src/**/*"/>
+				<include name="gs2build/build-src/**/*"/>
+				<include name="gs2build/runtime-src/**/*"/>
+			</fileset>
 		</copy>
 
@@ -137,6 +137,6 @@
 
 		<copy todir="components/tmp/ant" overwrite="true">
-			<fileset dir="distributions/web/packages">
-				<include name="ant/**/*"/>
+			<fileset dir="distributions/web">
+				<include name="packages/ant/**/*"/>
 			</fileset>
 		</copy>
@@ -153,6 +153,6 @@
 		<mkdir dir="components/tmp/tomcat"/>
 		<copy todir="components/tmp/tomcat" overwrite="true">
-			<fileset dir="distributions/web/packages">
-				<include name="tomcat/**/*"/>
+			<fileset dir="distributions/web">
+				<include name="packages/tomcat/**/*"/>
 			</fileset>
 		</copy>
Index: /release-kits/wirk3/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/create-installer.xml	(revision 19957)
+++ /release-kits/wirk3/ant-scripts/create-installer.xml	(revision 19958)
@@ -8,5 +8,5 @@
 	</target>
 
-	<target name="copy-installer-files" depends="copy-main-installer-files"> <!-- from init -->
+	<target name="copy-installer-files" depends="copy-main-installer-files,copy-greenstone3-installer-files"> <!-- from init -->
 
 		<!-- some canned resources for the installer -->
Index: /release-kits/wirk3/ant-scripts/wrap.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/wrap.xml	(revision 19957)
+++ /release-kits/wirk3/ant-scripts/wrap.xml	(revision 19958)
@@ -12,16 +12,16 @@
 	<target name="copy-files-for-wrapping">
 		<echo>Copying wrapper source files</echo>
-		<mkdir dir="${basedir}/wrapped-installer/build"/>
-		<copy todir="${basedir}/wrapped-installer/build" file="${wirk3.home}/windows/wrapper/wrapper.cpp"/>
-		<copy todir="${basedir}/wrapped-installer/build" file="${wirk3.home}/core/search4j/libsearch4j.cpp"/>
-		<copy todir="${basedir}/wrapped-installer/build" file="${wirk3.home}/core/search4j/libsearch4j.h"/>
+		<mkdir dir="${basedir}/wrapped-installer"/>
+		<copy todir="${basedir}/wrapped-installer" file="${wirk3.home}/windows/wrapper/wrapper.cpp"/>
+		<copy todir="${basedir}/wrapped-installer" file="${wirk3.home}/core/search4j/libsearch4j.cpp"/>
+		<copy todir="${basedir}/wrapped-installer" file="${wirk3.home}/core/search4j/libsearch4j.h"/>
 	</target>
 	
 	<target name="tweak-files-for-wrapping">
 		<echo>Substituting concrete values into source files</echo>
-		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.min.version@" replacement="${java.min.version}"/>
-		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.installer@" replacement="${windows-java.installer}"/>
-		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@java.extracted@" replacement="${windows-java.extracted}"/>
-		<rsr file="${basedir}/wrapped-installer/build/wrapper.cpp" pattern="@bundled.version.java@" replacement="${bundled.version.windows-java}"/>
+		<rsr file="${basedir}/wrapped-installer/wrapper.cpp" pattern="@java.min.version@" replacement="${java.min.version}"/>
+		<rsr file="${basedir}/wrapped-installer/wrapper.cpp" pattern="@java.installer@" replacement="${windows-java.installer}"/>
+		<rsr file="${basedir}/wrapped-installer/wrapper.cpp" pattern="@java.extracted@" replacement="${windows-java.extracted}"/>
+		<rsr file="${basedir}/wrapped-installer/wrapper.cpp" pattern="@bundled.version.java@" replacement="${bundled.version.windows-java}"/>
 	</target>
 
@@ -30,5 +30,5 @@
 			<bool>
 				<not>
-					<uptodate targetfile="${basedir}/wrapped-installer/build/wrapper.RES">
+					<uptodate targetfile="${basedir}/wrapped-installer/wrapper.RES">
 						<srcfiles dir="${wirk3.home}/greenstone3/icon" includes="icon.ico"/>
 						<srcfiles dir="${wirk3.home}/windows/wrapper" includes="${windows-java.installer}"/>
@@ -44,8 +44,8 @@
 			
 			<echo>getting the template resource script</echo>
-			<copy todir="${basedir}/wrapped-installer/build" file="${wirk3.home}/windows/wrapper/wrapper.rc" overwrite="true"/>
+			<copy todir="${basedir}/wrapped-installer" file="${wirk3.home}/windows/wrapper/wrapper.rc" overwrite="true"/>
 			
 			<echo>copying the small resource files into place</echo>
-			<copy todir="${basedir}/wrapped-installer/build">
+			<copy todir="${basedir}/wrapped-installer">
 				<fileset dir="${wirk3.home}/windows/wrapper" includes="*.bmp"/>
 				<fileset dir="${wirk3.home}/greenstone3/wrapper" includes="*.bmp"/>
@@ -56,6 +56,6 @@
 			<rsplit
 				resource="${basedir}/installer/Greenstone-${version}-win32.jar"
-				outputDir="${basedir}/wrapped-installer/build"
-				resourceScript="${basedir}/wrapped-installer/build/wrapper.rc"
+				outputDir="${basedir}/wrapped-installer"
+				resourceScript="${basedir}/wrapped-installer/wrapper.rc"
 				resourceName="JAR"
 				resourceType="JAR"
@@ -66,6 +66,6 @@
 			<rsplit
 				resource="${wirk3.home}/windows/wrapper/${windows-java.installer}"
-				outputDir="${basedir}/wrapped-installer/build"					
-				resourceScript="${basedir}/wrapped-installer/build/wrapper.rc"
+				outputDir="${basedir}/wrapped-installer"					
+				resourceScript="${basedir}/wrapped-installer/wrapper.rc"
 				resourceName="JAVA"
 				resourceType="EXE"
@@ -74,5 +74,5 @@
 
 			<echo>resource compiling the generated resource script</echo>
-			<exec executable="rc" dir="${basedir}/wrapped-installer/build">
+			<exec executable="rc" dir="${basedir}/wrapped-installer">
 				<arg line="wrapper.rc"/>
 			</exec>
@@ -85,8 +85,8 @@
 
 	<target name="compile-wrapper">
-		<exec executable="cl" dir="${basedir}/wrapped-installer/build">
+		<exec executable="cl" dir="${basedir}/wrapped-installer">
 			<arg line="/c -GX /DWINDOWS=yes libsearch4j.cpp /out:libsearch4j.obj"/>
 		</exec>
-		<exec executable="cl" dir="${basedir}/wrapped-installer/build">
+		<exec executable="cl" dir="${basedir}/wrapped-installer">
 			<arg line="/c -GX /DWINDOWS=yes /DWEB wrapper.cpp /out:wrapper.obj"/>
 		</exec>
@@ -94,6 +94,7 @@
 
 	<target name="link-wrapper">
-		<exec executable="link" dir="${basedir}/wrapped-installer/build">
-			<arg line="/OUT:..\..\products\Greenstone-${version}-win32.exe gdi32.lib advapi32.lib shell32.lib user32.lib libsearch4j.obj wrapper.obj wrapper.res"/>
+		<mkdir dir="products"/>
+		<exec executable="link" dir="${basedir}/wrapped-installer">
+			<arg line="/OUT:..\products\Greenstone-${version}-win32.exe gdi32.lib advapi32.lib shell32.lib user32.lib libsearch4j.obj wrapper.obj wrapper.res"/>
 		</exec>
 	</target>