Index: documentation/trunk/tutorial_sample_files/custom/style-blue.css
===================================================================
--- documentation/trunk/tutorial_sample_files/custom/style-blue.css	(revision 19679)
+++ documentation/trunk/tutorial_sample_files/custom/style-blue.css	(revision 19995)
@@ -1,7 +1,13 @@
-/* bluish colour theme - Alternate stylesheet for greenstone.
+
+/* Bluish colour theme - Alternate stylesheet for greenstone.
    Written by John McPherson, 2006. Feel free to copy/modify this for
    any purpose.
 */
 
+/* Based on the standard default style file for Greenstone 
+   Edited elements are given first.
+*/
+
+
 body {
   background: #80a0fb; /* light blue */
@@ -15,69 +21,8 @@
 a:visited { color: #666633; } 
 
-img.link { border: 0; }
-
-/* for unesco/human info etc logos on home page */
-img.logo {
-  border: 0;
-  float: right;
-  margin-left: 10px;
-}
-
-div.v_list {
-  padding: 10px;
-  font-size: smaller;
-}
-/* specific columns, named in the format string */
-div.vlist_entry {
-  clear: both; /* comes after any previous floating divs */
-  border-bottom: 1px grey solid;
-  margin-top: 10px;
-  margin-bottom: 5px;
-}
-div.vlist_entry div {
-  width: 15%;
-  padding-left: 1%;
-  padding-right: 1%;
-  float: left;
-}
-
-div.vlist_entry div.descr { width: 45% }
-
-#banner {
-  margin-bottom: 5px;
-}
-/* this div contains the bannerlinks and bannerimage paragraphs */
-div.pageinfo {
-  float: right;
-  text-align: right;
-}
-/* home, help, preferences links */
-p.bannerlinks {
-  font-family: arial;
-  font-size: 10pt;
-  font-weight: bold;
-}
-/* the image based on the page action */
-p.bannerimage {
-  display: none;
-}
-/* the image for the collection, shown in the banner */
-div.collectimage {
-  text-align: left;
-  float: left;
-  height: 100%; /* for IE5/6 to make containing div the full height */
-}
 /* link for collection name - will have text if there is no image */
 div.collectimage a {
   text-decoration: none;
   color: #666666;
-}
-
-/* make sure this is shown under the other divs (which may be floating) */
-div.bannerextra {clear:both;}
-
-/* blankiconbar */
-div.section p.bar {
-  text-align: center;
 }
 
@@ -90,73 +35,279 @@
   border-right: 1px solid black;
   margin: 0px;
-  min-width: 400px; /* stop it wrapping in skinny windows */
+  min-width: 500px; /* stop it wrapping in skinny windows */
+  font-family: sans-serif, arial, helvetica;
+  font-weight: bold;
   font-size: 10pt;
-}
-
+  text-transform: lowercase;
+  width: 100%; /* for ns4 */
+}
+
+a.navlink {
+  vertical-align: top; 
+  padding: 0 10px;
+  background: #508090;
+  color: black;
+  text-decoration: none;
+}
+
+a.navlink:hover {
+  background: #6090a0;
+}
+
+/* document content after nav bar */
+div.document {
+  border: 5px #cccccc solid;
+  padding: .2em 0 0 0;
+  clear: both;
+  background: #aae;
+  margin-top: 5px;
+}
+
+
+/* ----------------------------------------------------------------- */
+/* From here down is the remainder of standard Greenstone stylesheet */
+/* ----------------------------------------------------------------- */
+
+/* bg image set in style macro */
+body.bgimage { }
+
+
+/* for unesco/human info etc logos on home page */
+img.logo {
+  border: 0;
+  float: right;
+  margin-left: 10px;
+}
+
+
+/* this contains everything - all the other divs */
+#page {
+  margin-left: 80px;
+  margin-right: 30px;
+}
+
+
+#banner {
+  margin: 0 0 5px 0;
+  padding:0;
+ 
+}
+
+/* this div contains the bannerlinks and bannertitle paragraphs */
+div.pageinfo {
+  float: right;
+  text-align: right;
+  padding: 0;
+  margin:0 0 3px 0;	
+  width: 50%;
+}
+
+/* home, help, preferences links */
+p.bannerlinks {
+  font-family: sans-serif, arial, helvetica;
+  font-size: 10pt;
+  font-weight: bold;
+  margin:0;
+  padding:0;
+}
+
+/* the title set by the receptionist based on the page action */
+p.bannertitle {
+  font-family: sans-serif, arial, helvetica;
+  font-size: 24px;
+  font-weight: bold;
+  margin: 10px 0 0 0;
+  text-transform: lowercase;
+  white-space: nowrap;
+  padding: 6px 2px 10px 0px;
+  background-repeat: repeat-y;
+  background-position: top right; 
+ }
+
+p.collectiontitle {
+  font-family: sans-serif, arial, helvetica;
+  font-size: 24px;
+  font-weight: bold;
+  white-space: nowrap;
+  padding: 8px 0px 12px 2px;
+  background-repeat: repeat-y;
+  background-position: top left; 
+  margin:0;
+}
+
+a.collectiontitle {
+  color: black;
+  text-decoration: none;
+}
+
+/* the image for the collection, shown in the banner */
+div.collectimage {
+  text-align: left;
+  float: left;
+  width: 45%;
+  padding:0;
+  margin:0;
+}
+/* make sure this is shown under the other divs (which may be floating) */
+div.bannerextra {
+   clear: both;
+}
+
+/* blankiconbar */
+div.section p.bar {
+  text-align: center;
+}
+
+
+
+
+/* bg image set in style macro */
 div.divbar { /* for "select a collection" */
   font-family: arial;
   font-size: 10pt;
   font-weight: bold;
-  text-align: top;
   border: 0;
-}
+  width: 100%; /* for ns4 */
+}
+
+
 p.navbar { /* opt navbar text inside a divbar div */
+  text-align: center; 
+  margin: 0;
+}
+
+/* bg image set in style macro */
+a.navlink_sel {
+  vertical-align: top;
+  padding: 0 10px;
+  color: black;
+  text-decoration: none;
+}
+
+a.navlink:visited {
+  color: black;
+}
+
+/* for the nav_ns4.dm macro only (for netscape4 support) */
+a.navlink_ns4 {
+  background-color: #e8d9b1;
+}
+
+a.navlink_sel_ns4 {
+  background-color: #96c19b;
+}
+
+span.highlight {
+  background: #ffff77;
+}
+
+/* content inside the pages */
+img.icon { border: 0; }
+
+span.textselect { 
+  white-space: nowrap;
+}
+
+span.textselect select { 
+  text-transform: lowercase;
+}
+
+
+div.documenttext { clear: both; } /* come after any floating divs */
+
+ul#searchresults{
+  list-style-type: none;
+  margin: 0 0 .2em 0;
+  padding:0;
+  overflow: hidden;
+}
+
+ul#searchresults li{
+  margin: 0; 
+  padding: 2px 0 2px 0;
+  font-size: 11px;
+  font-weight: bold;	
+  width: 160px;
+  background-color:#f7e7c5;
+  text-align:center; 
+}
+ 
+li#nextresult{
+  float:right;
+}
+
+li#prevresult{
+  float:left;
+}
+
+
+ul#searchresults li a {
+  margin:0;	 
+  padding:0;
+  text-decoration: none;
+  color: black;
+}
+
+
+div.warning { /* eg expanding more than 10 sections in table of contents */
+}
+div.warning div.buttons { float: right; } /* continue button */
+
+div.heading_image {
+ float: left;
+
+ } /* optional cover image */
+
+div.heading_title {
+ font-size: 14pt;
+ } /* alternate to cover image */
+
+div.document div.buttons {
+   /* anything that holds buttons... toc_buttons but also continue button */
+   width: 100px; /* each button (inside its own div) can overflow this */
+}
+div#toc_buttons { /* expand/contract etc "buttons" */
+  clear: left; /* don't put next to another float on our left-hand side */
+  float: left;
+  margin: 0 15px 5px 0; 
+}
+
+div.button {
+  font-size: 11px;
+  font-weight: bold;
+  background: #f7e7c5;
+  margin: 1px;
+  border: 1px solid #eeddbb;
   text-align: center;
-  margin: 0px;
-}
-
-a.navlink {
-  padding: 0 10px;
-  background: #508090;
-  color: black;
-  text-decoration: none;
-}
-
-a.navlink:visited {
-  color: black;
-}
-
-a.navlink:hover {
-  background: #6090a0;
-}
-
-
-/* content inside the pages */
-/* this contains everything - all the other divs */
-div#page {}
-
-/* document content after nav bar */
-div.document {
-  border: 5px #cccccc solid;
-  padding: 5px;
-  background: #aae;
-  margin-top: 5px;
-}
-
-img.icon { border: 0; }
-
-div.queryform {
+  vertical-align: middle;
+  width: 110px;
+}
+
+*>div.button { /* for other browsers - IE6 doesn't apply this */
+  height: auto;
+  width: auto;
+  min-width: 110px;
+}
+
+span.button {}
+span.button a { text-decoration: none; color: black; }
+span.button a:hover { /* IE6 doesn't do :hover for things that aren't <A> */
+  background: #eeddbb;
+}
+
+div.homebutton {
+  font-size: 11px;
+  font-weight: bold;
+  background: #f7e7c5;
+  margin: 1px;
+  border: 1px solid #eeddbb;
   text-align: center;
-}
-span.textselect { white-space: nowrap; }
+  vertical-align: middle;
+  width: 110px;
+  height: 30px;
+}
 
 div.section p {
   text-align: justify;
-}
-
-div.h_list {
-  text-align: right;
-  padding: 5px;
-  background: #637d7d;
-}
-
-/* A-Z entries other than the current one */
-span.h_item a {
-  text-decoration: none;
-  color: #cccccc;
-}
-span.h_item a:hover {
-  text-decoration: none;
-  color: red;
 }
 
@@ -171,2 +322,41 @@
 }
 
+/* collections that have a logo should have a border around them */
+table.collections img {
+  border: 1px solid;
+}
+
+/* collector bar */
+table.wizardbar {
+   text-align: center;
+   vertical-align: middle;
+}
+		       
+td.wizardbargreen {
+   background-color: #96BE9C;
+}
+td.wizardbaryellow {
+   background-color: #EEE8AA;
+}
+td.wizardbargrey {
+   background-color: #D3D3D3;
+}
+
+table.wizardbar a {
+  color: black;
+  text-decoration: none;
+}
+
+table.wizardbar a:visited {
+  color: black;
+}
+
+
+span.date_list_year {
+  font-weight: bold;
+}
+span.date_list_month {
+  font-weight: bold;
+}
+
+