Index: /gsdl/trunk/bin/script/buildcol.pl
===================================================================
--- /gsdl/trunk/bin/script/buildcol.pl	(revision 20097)
+++ /gsdl/trunk/bin/script/buildcol.pl	(revision 20098)
@@ -360,9 +360,5 @@
     my ($collectcfg, $buildtype); 
     ($configfilename, $gs_mode) = &colcfg::get_collect_cfg_name($out);
-    if ($gs_mode eq "gs2") {
-        $collectcfg = &colcfg::read_collect_cfg ($configfilename);
-    } elsif ($gs_mode eq "gs3") {
-	$collectcfg = &colcfg::read_collection_cfg_xml ($configfilename);
-    }
+    $collectcfg = &colcfg::read_collection_cfg ($configfilename, $gs_mode);
 
     if ($verbosity !~ /\d+/) {
Index: /gsdl/trunk/bin/script/explode_metadata_database.pl
===================================================================
--- /gsdl/trunk/bin/script/explode_metadata_database.pl	(revision 20097)
+++ /gsdl/trunk/bin/script/explode_metadata_database.pl	(revision 20098)
@@ -213,10 +213,5 @@
 	# Read in the collection configuration file.
 	my ($configfilename, $gs_mode) = &colcfg::get_collect_cfg_name(STDERR);
-	my $collectcfg;
-	if ($gs_mode eq "gs2") {
-	    $collectcfg = &colcfg::read_collect_cfg ($configfilename);
-	} elsif ($gs_mode eq "gs3") {
-	    $collectcfg = &colcfg::read_collection_cfg_xml ($configfilename);
-	}
+	my $collectcfg = &colcfg::read_collect_cfg ($configfilename, $gs_mode);
 	$plugin_options_string = &get_plugin_options($collectcfg, $plugin);
     }
Index: /gsdl/trunk/bin/script/export.pl
===================================================================
--- /gsdl/trunk/bin/script/export.pl	(revision 20097)
+++ /gsdl/trunk/bin/script/export.pl	(revision 20098)
@@ -382,15 +382,6 @@
     # Read in the collection configuration file.
     ($configfilename, $gs_mode) = &colcfg::get_collect_cfg_name($out);
-	    
-    
-    # Read in the collection configuration file.
-    ($configfilename, $gs_mode) = &colcfg::get_collect_cfg_name($out);
-    
-    if ($gs_mode eq "gs2") {
-	$collectcfg = &colcfg::read_collect_cfg ($configfilename);
-    } elsif ($gs_mode eq "gs3") {
-	$collectcfg = &colcfg::read_collection_cfg_xml ($configfilename);
-    }
-
+    $collectcfg = &colcfg::read_collection_cfg ($configfilename, $gs_mode);
+    
     if (defined $collectcfg->{'importdir'} && $importdir eq "") {
 	$importdir = $collectcfg->{'importdir'};
@@ -648,7 +639,7 @@
 	$doc_obj->add_utf8_metadata($section,$md_label, $val);
 	
-	# see cfgread4gs3.pm: GS2's "collectionextra" is called "description" in GS3,
+	# see collConfigxml.pm: GS2's "collectionextra" is called "description" in GS3,
 	# while "collectionname" in GS2 is called "name" in GS3.
-	# Variable $nameMap variable in cfgread4gs3.pm maps between GS2 and GS3
+	# Variable $nameMap variable in collConfigxml.pm maps between GS2 and GS3
 	if (($md_label eq "ex.collectionname^en") || ($md_label eq "ex.collectionname"))
 	{
Index: /gsdl/trunk/bin/script/import.pl
===================================================================
--- /gsdl/trunk/bin/script/import.pl	(revision 20097)
+++ /gsdl/trunk/bin/script/import.pl	(revision 20098)
@@ -371,10 +371,5 @@
     # Read in the collection configuration file.
     ($configfilename, $gs_mode) = &colcfg::get_collect_cfg_name($out);
-
-    if ($gs_mode eq "gs2") {
-        $collectcfg = &colcfg::read_collect_cfg ($configfilename);
-    } elsif ($gs_mode eq "gs3") {
-	$collectcfg = &colcfg::read_collection_cfg_xml ($configfilename);
-    }
+    $collectcfg = &colcfg::read_collection_cfg ($configfilename, $gs_mode);
 
     if (defined $collectcfg->{'importdir'} && $importdir eq "") {
Index: /gsdl/trunk/bin/script/incremental-buildcol.pl
===================================================================
--- /gsdl/trunk/bin/script/incremental-buildcol.pl	(revision 20097)
+++ /gsdl/trunk/bin/script/incremental-buildcol.pl	(revision 20098)
@@ -140,10 +140,5 @@
 	# (e.g. collect.cfg now says lucene, but build.cfg says mgpp)
 
-	my $buildcfg;
-	if ($gs_mode eq "gs2") {
-	    $buildcfg = &colcfg::read_build_cfg ($build_cfg_filename);
-	} else {
-	    $buildcfg = &colcfg::read_collection_cfg_xml($build_cfg_filename);
-	}
+	my $buildcfg = &colcfg::read_building_cfg ($build_cfg_filename, $gs_mode);
 	if ($buildcfg->{'buildtype'} ne $collectcfg->{'buildtype'}) {
 	    print STDERR "*****\n";